MongoCollection::createDBRef
MongoCollection::deleteIndexes
MongoCollection
PHP Manual

# MongoCollection::deleteIndex

(PECL mongo >=0.9.0)

MongoCollection::deleteIndex — Supprime un index de la collection

### Description

public array MongoCollection::deleteIndex ( string|array `$keys` )

### Liste de paramètres

`keys`

  Le ou les champs dont il faut supprimer l'index.

### Valeurs de retour

Retourne la réponse de la base de données.

### Exemples

Exemple #1 Exemple avec MongoCollection::deleteIndex()

This example passes the function string and array parameters.

`<?php
$m = new Mongo();
$c = $m->selectCollection("example", "indices");
// crée un index
$c->ensureIndex(array("i"=>1));
// supprime l'index
$c->deleteIndex("i");
// créé un index à colonnes multiples
$c->ensureIndex(array("j" => 1, "k" => 1));
// supprime cet index
$c->deleteIndex(array("j" => 1, "k" => 1));
?>`

MongoCollection::createDBRef
MongoCollection::deleteIndexes
MongoCollection
PHP Manual